class UserContractsController < ApplicationController
  layout 'admin'
  self.main_menu = false

  helper :contracts

  # TODO: Check permission
  # before_action :require_admin
  before_action :find_user, :only => [:new, :create]
  before_action :find_contract, :only => [:edit, :update, :destroy]

  def new
    @users = [@user]
    @contract = Contract.new({ :user => @user})
    @projects = Project.active.all
    respond_to do |format|
      format.html
      format.js
    end
  end

  def create
    @contract = Contract.new(@params)
    @contract.save
    respond_to do |format|
      format.html { redirect_to_principal @user }
      format.js
    end
  end

  def edit
    @roles = Role.givable.to_a
  end

  def update
    @membership.attributes = params.require(:membership).permit(:role_ids => [])
    @membership.save
    respond_to do |format|
      format.html { redirect_to_principal @principal }
      format.js
    end
  end

  def destroy
    if @membership.deletable?
      @membership.destroy
    end
    respond_to do |format|
      format.html { redirect_to_principal @principal }
      format.js
    end
  end

  private

  def find_user
    user_id = params[:user_id]
    @user = User.find(user_id)
  rescue ActiveRecord::RecordNotFound
    render_404
  end

  def find_contract
    @contract = Contract.find(params[:id])
    @user = @contract.user
  rescue ActiveRecord::RecordNotFound
    render_404
  end

  def redirect_to_principal(principal)
    redirect_to edit_polymorphic_path(principal, :tab => 'contracts')
  end
end
