module ExpensesHelper
  include ApplicationHelper

  def _project_expenses_path(project, *args)
    if project
      project_expenses_path(project, *args)
    else
      expenses_path(*args)
    end
  end

  def _project_expense_path(project, *args)
    if project
      project_expense_path(project, *args)
    else
      expense_path(*args)
    end
  end

  def _new_project_expense_path(project, *args)
    if project
      new_project_expense_path(project, *args)
    else
      new_expense_path(*args)
    end
  end

  def _edit_project_expense_path(project, *args)
    if project
      edit_project_expense_path(project, *args)
    else
      edit_expense_path(*args)
    end
  end

  def grouped_expense_list(expenses, query, &block)
    grouped_query_results(expenses, query) do |expense, group_name, group_count, group_totals|
      yield expense, group_name, group_count, group_totals
    end
  end

  def edit_link(project, expense)
    link_to l(:button_edit), _edit_project_expense_path(project, expense),
            :class => "icon icon-edit", :accesskey => accesskey(:edit)
  end
end
