module ExpensesQueriesHelper
  include ApplicationHelper

  def column_value(column, item, value)
    if item.is_a?(Expense)
      case column.name
      when :expense_identifier
        link_to_project_expense(item)
      when :project_id
        link_to_project(item)
      when :amount
        value.round.to_s(:delimited)
      else
        super
      end
    end
  end

  def link_to_project_expense(expense, options = {}, html_options = nil)
    link_to expense.expense_identifier,
            _project_expense_path(@project, expense),
            html_options
  end

  def link_to_project(expense, options = {}, html_options = nil)
    link_to expense.project.name,
            project_path(:id => expense.project.identifier),
            html_options
  end
end
