class CreateContracts < ActiveRecord::Migration[5.2]
  def change
    create_table :contracts do |t|
      t.text :contract_identifier
      t.text :contract_type
      t.references :user
      t.references :project
      t.references :counter_party
      t.date :date_valid_from
      t.date :date_valid_to
      t.text :reward_unit
      t.decimal :unit_price, precision: 12, scale: 2
      t.text :original_currency
      t.decimal :original_unit_price, precision: 12, scale: 2
      t.decimal :exchange_rate, precision: 12, scale: 2
      t.references :created_by
      t.references :updated_by
      
      t.timestamps
    end
  end
end
  