ActiveSupport::Reloader.to_prepare do
  unless QueriesController.included_modules.include?(RedmineCostAdmin::QueriesControllerPatch)
    QueriesController.send(:include, RedmineCostAdmin::QueriesControllerPatch)
  end
end

require_dependency "queries_controller"

module RedmineCostAdmin
  module QueriesControllerPatch
    def self.included(base) # :nodoc:
      base.send(:include, InstanceMethods)
      base.include(ClassMethods)

      base.class_eval do
        unloadable
      end
    end

    module InstanceMethods
      def redirect_to_contract_query(options)
        redirect_to contracts_path(@project, nil, options)
      end
        end

    module ClassMethods
    end
  end
end
